NCURSES 1.8.6 - July 24, 1994
-----------------------------
This file is intended to help people interested in working
on fixing ncurses, enhancing it, or porting it to other
platforms.

PORTABILITY:
The file matrix is an attempt at centralizing all portability
information. The top line lists the different options, down
the leftside are the operating systems supported. If an option
is not needed then it should have an entry of NONE. Note the
use of ':' to terminate each field. If somebody knows awk better
than me, get in touch.

OS: 		name of operating system
ISPOSIX:	-DNONPOSIX if <unistd.h> is missing
POSIX:		-DSTRICTPOSIX if _POSIX_SOURCE turns off non-POSIX features.
		-DSVR4_ACTION if like svr4 you need _POSIX_SOURCE to have sigaction
TERMINAL:	-DNOTERMIOS if you don't have <termios.h> but have <sgtty.h>
HEADERS:	-DBRAINDEAD if system headers don't declare external variables
TABS:		-DBSDTABS if you don't have TABS3 but have OXTABS
OPT:		-DOPT_MVCUR if you want mvcur() to cost its actions or you have a
		terminal that doesn't have direct cursor addressing.
SRCDIR:		the directory where the terminfo database lives
CC:		ANSI C compiler
FLAGS:		standard compiler flags
EXTRA:		extra flags needed by individual systems
	Sun:	-DSUNIOCTL <sys/ioctl.h> conflicts with <termios.h>
	HP-UX:	-D_HPUX_SOURCE so that we get POSIX and XOPEN features.
	SVR4:	-DBROKEN_TIOCGETWINSZ guess what?
	AIX:	-DSYS_SELECT if you need <sys/select.h>
BASE:		The directory under which headers and libraries will
		be installed.
INSTALL:	The name of an install program similar to BSD's (ie. understands
		-m, -g, -o, etc.) GNU install works.

The awk script in script.src reads matrix and generates all the Config.*
files. 

There are several problems with strict POSIX systems so extra flags
or #define's maybe needed.

